Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PS2PadCameraController Class Reference

PS2パッドカメラコントローラ. More...

`#include <PS2PadCameraController.h>`

List of all members.

## Public Member Functions
| PS2PadCameraController ()
| コンストラクタ
virtual | ~PS2PadCameraController ()
| デストラクタ
virtual void | control ()
| コントロール
virtual void | setCamera (Camera *camera)
| カメラの設定
virtual Camera * | getCamera ()
| カメラの取得
virtual void | setRotationSensibility (float rotationSensibility)
| 回転感度の設定
virtual float | getRotationSensibility () const
| 回転感度の取得
virtual void | setTranslationSensibility (float translationSensibility)
| 移動感度の設定
virtual float | getTranslationSensibility () const
| 移動感度の取得
virtual void | setFovYSensibility (float fovYSensibility)
| 画角感度の設定
virtual float | getFovYSensibility () const
| 画角感度の取得
virtual bool | setJoystick (Joystick *joystick)
| ジョイスティックの設定
virtual Joystick * | getJoystick ()
| ジョイスティックの取得
virtual Joystick * | searchJoystick ()
| ジョイスティックの検索
## Protected Attributes
Camera * | camera_
| カメラ
PS2Pad * | pad_
| パッド
float | rotationSensibility_
| 回転感度
float | translationSensibility_
| 移動感度
float | fovYSensibility_
| 画角感度
bool | moveMode_
| 移動モード

## Detailed Description

PS2パッドカメラコントローラ.

Definition at line 38 of file PS2PadCameraController.h.

## Member Function Documentation

virtual Camera* Lamp::PS2PadCameraController::getCamera | ( |  | ) | `[inline, virtual]`

| カメラの取得 Returns: カメラ Definition at line 66 of file PS2PadCameraController.h. References camera_.

virtual float Lamp::PS2PadCameraController::getFovYSensibility | ( |  | ) | const`[inline, virtual]`

| 画角感度の取得 Returns: 画角感度 Definition at line 113 of file PS2PadCameraController.h. References fovYSensibility_.

Joystick * Lamp::PS2PadCameraController::getJoystick | ( |  | ) | `[virtual]`

| ジョイスティックの取得 Returns: ジョイスティック Definition at line 130 of file PS2PadCameraController.cpp. References Lamp::Pad::getJoystick(), NULL, and pad_.

virtual float Lamp::PS2PadCameraController::getRotationSensibility | ( |  | ) | const`[inline, virtual]`

| 回転感度の取得 Returns: 回転感度 Definition at line 81 of file PS2PadCameraController.h. References rotationSensibility_.

virtual float Lamp::PS2PadCameraController::getTranslationSensibility | ( |  | ) | const`[inline, virtual]`

| 移動感度の取得 Returns: 移動感度 Definition at line 96 of file PS2PadCameraController.h. References translationSensibility_.

Joystick * Lamp::PS2PadCameraController::searchJoystick | ( |  | ) | `[virtual]`

| ジョイスティックの検索 Returns: 見つかったジョイスティック。無ければNULL。 Definition at line 136 of file PS2PadCameraController.cpp. References NULL, and setJoystick(). Referenced by Lamp::SceneFramework::frameworkInitialize().

virtual void Lamp::PS2PadCameraController::setCamera | ( | Camera * | camera | ) | `[inline, virtual]`

  | カメラの設定 Parameters:
  camera | 設定するカメラ
Definition at line 60 of file PS2PadCameraController.h. References camera_. Referenced by Lamp::SceneFramework::clearScene(), and Lamp::SceneFramework::frameworkInitialize().

virtual void Lamp::PS2PadCameraController::setFovYSensibility | ( | float | fovYSensibility | ) | `[inline, virtual]`

  | 画角感度の設定 Parameters:
  fovYSensibility | 画角感度
Definition at line 105 of file PS2PadCameraController.h. References fovYSensibility_.

bool Lamp::PS2PadCameraController::setJoystick | ( | Joystick * | joystick | ) | `[virtual]`

  | ジョイスティックの設定 Parameters:
  joystick | 設定するPS2互換ジョイスティック
Returns: 成功すればtrue Definition at line 123 of file PS2PadCameraController.cpp. References pad_. Referenced by searchJoystick().

virtual void Lamp::PS2PadCameraController::setRotationSensibility | ( | float | rotationSensibility | ) | `[inline, virtual]`

  | 回転感度の設定 Parameters:
  rotationSensibility | 回転感度
Definition at line 73 of file PS2PadCameraController.h. References rotationSensibility_.

virtual void Lamp::PS2PadCameraController::setTranslationSensibility | ( | float | translationSensibility | ) | `[inline, virtual]`

  | 移動感度の設定 Parameters:
  translationSensibility | 移動感度
Definition at line 88 of file PS2PadCameraController.h. References translationSensibility_. Referenced by Lamp::SceneFramework::loadScene().

The documentation for this class was generated from the following files:

- PS2PadCameraController.h
- PS2PadCameraController.cpp